Page MenuHomePhabricator

Provide search functionality to find all files that have at least 1 structured data statement
Closed, ResolvedPublic

Description

Currently on Commons, we have the haswbstatement functionality that allows us to do searches for files with specific statements. Example:

haswbstatement:P180

will find all files that have at least one "depicts" statement.

It would be very useful to have a way to simply find all files that have any sort of statement at all (not including captions). It could be as simple as haswbstatement with no parameters.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseCirrusSearch : masterSupport pure existence in haswbstatement

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptAug 9 2019, 12:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF updated the task description. (Show Details)Aug 9 2019, 12:41 AM

Change 532738 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikibaseCirrusSearch@master] Support pure existence in haswbstatement

https://gerrit.wikimedia.org/r/532738

Change 532738 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Support pure existence in haswbstatement

https://gerrit.wikimedia.org/r/532738

Smalyshev triaged this task as Normal priority.Aug 28 2019, 7:01 AM
Smalyshev moved this task from Needs review to Done on the Discovery-Search (Current work) board.
Ramsey-WMF closed this task as Resolved.Sep 4 2019, 10:55 PM

This hit production Commons today and seems to be working. Going to call it done!